Loading...
Searching...
No Matches
Opm::Scaler Struct Reference

Represents scaling information for a feature. More...

`#include <HybridNewtonConfig.hpp>`

## Public Types

enum class | Type { None , Standard , MinMax }

## Public Member Functions

double | scale (double raw_value) const
double | unscale (double scaled_value) const

## Public Attributes

enum Opm::Scaler::Type | type = Type::None
double | mean = 0.0
double | std = 1.0
double | min = 0.0
double | max = 1.0

## Detailed Description

Represents scaling information for a feature.

Supports standard (mean/std) and min-max scaling.

The documentation for this struct was generated from the following file:

- opm/simulators/flow/HybridNewtonConfig.hpp